> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/plugin/plugin-version-compatible-identifying-resources.md).

# Plugin Version Compatible Identifying Resources

Operations related to Plugin Compatible Identifying Resources that define which identifier types a plugin can process.

## GET /plugins/{plugin\_id}/versions/{plugin\_version\_id}/compatible\_identifying\_resources/{id}

> Get a plugin compatible identifying resource by id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Plugin Version Compatible Identifying Resources","description":"Operations related to Plugin Compatible Identifying Resources that define which identifier types a plugin can process."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/plugins/{plugin_id}/versions/{plugin_version_id}/compatible_identifying_resources/{id}":{"get":{"description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PluginCompatibleIdentifyingResourceResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Get a plugin compatible identifying resource by id","tags":["Plugin Version Compatible Identifying Resources"],"parameters":[{"in":"path","explode":false,"style":"simple","required":true,"schema":{"type":"string"},"name":"id"},{"required":true,"schema":{"type":"string"},"explode":false,"in":"path","style":"simple","name":"plugin_id"},{"schema":{"type":"string"},"name":"plugin_version_id","explode":false,"in":"path","style":"simple","required":true}],"operationId":"getPluginCompatibleIdentifyingResource"}}},"components":{"schemas":{"PluginCompatibleIdentifyingResourceResource":{"discriminator":{"propertyName":"type","mapping":{"USER_ACCOUNT":"#/components/schemas/PluginCompatibleIdentifyingAccountResource","USER_EMAIL":"#/components/schemas/PluginCompatibleIdentifyingEmailResource","USER_DEVICE_TECHNICAL_ID":"#/components/schemas/PluginCompatibleIdentifyingDeviceTechnicalIdResource","USER_PROFILE":"#/components/schemas/PluginCompatibleIdentifyingProfileResource"}},"oneOf":[{"$ref":"#/components/schemas/PluginCompatibleIdentifyingAccountResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingEmailResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingDeviceTechnicalIdResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingProfileResource"}],"properties":{"type":{"type":"string","enum":["USER_ACCOUNT","USER_EMAIL","USER_DEVICE_TECHNICAL_ID","USER_PROFILE"]}},"required":["type"]},"PluginCompatibleIdentifyingAccountResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_type":{"$ref":"#/components/schemas/UserAccountCompartmentType"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"identity_graph_id":{"type":"string","readOnly":false},"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_type","created_by","created_ts","id","plugin_id","plugin_version_id"]},"UserAccountCompartmentType":{"type":"string","enum":["CUSTOM_COMPARTMENT_ID","NETWORK_USER_ID"],"readOnly":false},"PluginCompatibleIdentifyingEmailResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_by":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"identity_graph_id":{"type":"string","readOnly":false}},"required":["created_by","created_ts","id","plugin_id","plugin_version_id"]},"PluginCompatibleIdentifyingDeviceTechnicalIdResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"registry_id":{"type":"string","readOnly":false},"registry_type":{"$ref":"#/components/schemas/DeviceIdRegistryType"},"identity_graph_id":{"type":"string","readOnly":false},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["created_by","created_ts","id","plugin_id","plugin_version_id","registry_type"]},"DeviceIdRegistryType":{"type":"string","enum":["INSTALLATION_ID","MUM_ID","NETWORK_DEVICE_ID","CUSTOM_DEVICE_ID","MOBILE_ADVERTISING_ID","MOBILE_VENDOR_ID","TV_ADVERTISING_ID","IP_V4_ADDRESS_ID","IP_V6_ADDRESS_ID"],"readOnly":false},"PluginCompatibleIdentifyingProfileResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"include_in_platform_calls":{"type":"boolean","default":false,"readOnly":false},"id":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_id":{"type":"string","readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"identity_graph_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true}},"required":["created_by","created_ts","id","include_in_platform_calls","plugin_id","plugin_version_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /plugins/{plugin\_id}/versions/{plugin\_version\_id}/compatible\_identifying\_resources/{id}

> Update a plugin compatible identifying resource

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Plugin Version Compatible Identifying Resources","description":"Operations related to Plugin Compatible Identifying Resources that define which identifier types a plugin can process."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/plugins/{plugin_id}/versions/{plugin_version_id}/compatible_identifying_resources/{id}":{"put":{"requestBody":{"description":"The plugin compatible identifying resource to update with","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PluginCompatibleIdentifyingResourceResource"}}},"required":true},"tags":["Plugin Version Compatible Identifying Resources"],"summary":"Update a plugin compatible identifying resource","parameters":[{"in":"path","schema":{"type":"string"},"name":"id","explode":false,"style":"simple","required":true},{"required":true,"schema":{"type":"string"},"in":"path","explode":false,"style":"simple","name":"plugin_id"},{"explode":false,"in":"path","required":true,"style":"simple","schema":{"type":"string"},"name":"plugin_version_id"}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PluginCompatibleIdentifyingResourceResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"updatePluginCompatibleIdentifyingResource","description":""}}},"components":{"schemas":{"PluginCompatibleIdentifyingResourceResource":{"discriminator":{"propertyName":"type","mapping":{"USER_ACCOUNT":"#/components/schemas/PluginCompatibleIdentifyingAccountResource","USER_EMAIL":"#/components/schemas/PluginCompatibleIdentifyingEmailResource","USER_DEVICE_TECHNICAL_ID":"#/components/schemas/PluginCompatibleIdentifyingDeviceTechnicalIdResource","USER_PROFILE":"#/components/schemas/PluginCompatibleIdentifyingProfileResource"}},"oneOf":[{"$ref":"#/components/schemas/PluginCompatibleIdentifyingAccountResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingEmailResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingDeviceTechnicalIdResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingProfileResource"}],"properties":{"type":{"type":"string","enum":["USER_ACCOUNT","USER_EMAIL","USER_DEVICE_TECHNICAL_ID","USER_PROFILE"]}},"required":["type"]},"PluginCompatibleIdentifyingAccountResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_type":{"$ref":"#/components/schemas/UserAccountCompartmentType"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"identity_graph_id":{"type":"string","readOnly":false},"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_type","created_by","created_ts","id","plugin_id","plugin_version_id"]},"UserAccountCompartmentType":{"type":"string","enum":["CUSTOM_COMPARTMENT_ID","NETWORK_USER_ID"],"readOnly":false},"PluginCompatibleIdentifyingEmailResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_by":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"identity_graph_id":{"type":"string","readOnly":false}},"required":["created_by","created_ts","id","plugin_id","plugin_version_id"]},"PluginCompatibleIdentifyingDeviceTechnicalIdResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"registry_id":{"type":"string","readOnly":false},"registry_type":{"$ref":"#/components/schemas/DeviceIdRegistryType"},"identity_graph_id":{"type":"string","readOnly":false},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["created_by","created_ts","id","plugin_id","plugin_version_id","registry_type"]},"DeviceIdRegistryType":{"type":"string","enum":["INSTALLATION_ID","MUM_ID","NETWORK_DEVICE_ID","CUSTOM_DEVICE_ID","MOBILE_ADVERTISING_ID","MOBILE_VENDOR_ID","TV_ADVERTISING_ID","IP_V4_ADDRESS_ID","IP_V6_ADDRESS_ID"],"readOnly":false},"PluginCompatibleIdentifyingProfileResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"include_in_platform_calls":{"type":"boolean","default":false,"readOnly":false},"id":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_id":{"type":"string","readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"identity_graph_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true}},"required":["created_by","created_ts","id","include_in_platform_calls","plugin_id","plugin_version_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /plugins/{plugin\_id}/versions/{plugin\_version\_id}/compatible\_identifying\_resources/{id}

> Delete a plugin compatible identifying resource by id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Plugin Version Compatible Identifying Resources","description":"Operations related to Plugin Compatible Identifying Resources that define which identifier types a plugin can process."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/plugins/{plugin_id}/versions/{plugin_version_id}/compatible_identifying_resources/{id}":{"delete":{"responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"","summary":"Delete a plugin compatible identifying resource by id","tags":["Plugin Version Compatible Identifying Resources"],"operationId":"deletePluginCompatibleIdentifyingResource","parameters":[{"name":"id","schema":{"type":"string"},"style":"simple","required":true,"explode":false,"in":"path"},{"explode":false,"schema":{"type":"string"},"name":"plugin_id","in":"path","style":"simple","required":true},{"explode":false,"in":"path","required":true,"name":"plugin_version_id","schema":{"type":"string"},"style":"simple"}]}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```

## GET /plugins/{plugin\_id}/versions/{plugin\_version\_id}/compatible\_identifying\_resources

> Search for plugin compatible identifying resources

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Plugin Version Compatible Identifying Resources","description":"Operations related to Plugin Compatible Identifying Resources that define which identifier types a plugin can process."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/plugins/{plugin_id}/versions/{plugin_version_id}/compatible_identifying_resources":{"get":{"operationId":"findPluginCompatibleIdentifyingResources","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/PluginCompatibleIdentifyingResourceResource"}},"first_result":{"type":"integer"},"total":{"type":"integer"},"max_results":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Plugin Version Compatible Identifying Resources"],"parameters":[{"name":"plugin_id","schema":{"type":"string"},"in":"path","style":"simple","explode":false,"required":true},{"explode":false,"schema":{"type":"string"},"name":"plugin_version_id","style":"simple","in":"path","required":true},{"required":false,"style":"form","name":"first_result","description":"Offset from which the search must be performed","in":"query","schema":{"type":"integer","format":"int32"},"explode":true},{"description":"Maximum number of items that may be returned by the query","in":"query","schema":{"type":"integer","format":"int32"},"required":false,"explode":true,"style":"form","name":"max_results"}],"description":"","summary":"Search for plugin compatible identifying resources"}}},"components":{"schemas":{"PluginCompatibleIdentifyingResourceResource":{"discriminator":{"propertyName":"type","mapping":{"USER_ACCOUNT":"#/components/schemas/PluginCompatibleIdentifyingAccountResource","USER_EMAIL":"#/components/schemas/PluginCompatibleIdentifyingEmailResource","USER_DEVICE_TECHNICAL_ID":"#/components/schemas/PluginCompatibleIdentifyingDeviceTechnicalIdResource","USER_PROFILE":"#/components/schemas/PluginCompatibleIdentifyingProfileResource"}},"oneOf":[{"$ref":"#/components/schemas/PluginCompatibleIdentifyingAccountResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingEmailResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingDeviceTechnicalIdResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingProfileResource"}],"properties":{"type":{"type":"string","enum":["USER_ACCOUNT","USER_EMAIL","USER_DEVICE_TECHNICAL_ID","USER_PROFILE"]}},"required":["type"]},"PluginCompatibleIdentifyingAccountResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_type":{"$ref":"#/components/schemas/UserAccountCompartmentType"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"identity_graph_id":{"type":"string","readOnly":false},"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_type","created_by","created_ts","id","plugin_id","plugin_version_id"]},"UserAccountCompartmentType":{"type":"string","enum":["CUSTOM_COMPARTMENT_ID","NETWORK_USER_ID"],"readOnly":false},"PluginCompatibleIdentifyingEmailResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_by":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"identity_graph_id":{"type":"string","readOnly":false}},"required":["created_by","created_ts","id","plugin_id","plugin_version_id"]},"PluginCompatibleIdentifyingDeviceTechnicalIdResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"registry_id":{"type":"string","readOnly":false},"registry_type":{"$ref":"#/components/schemas/DeviceIdRegistryType"},"identity_graph_id":{"type":"string","readOnly":false},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["created_by","created_ts","id","plugin_id","plugin_version_id","registry_type"]},"DeviceIdRegistryType":{"type":"string","enum":["INSTALLATION_ID","MUM_ID","NETWORK_DEVICE_ID","CUSTOM_DEVICE_ID","MOBILE_ADVERTISING_ID","MOBILE_VENDOR_ID","TV_ADVERTISING_ID","IP_V4_ADDRESS_ID","IP_V6_ADDRESS_ID"],"readOnly":false},"PluginCompatibleIdentifyingProfileResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"include_in_platform_calls":{"type":"boolean","default":false,"readOnly":false},"id":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_id":{"type":"string","readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"identity_graph_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true}},"required":["created_by","created_ts","id","include_in_platform_calls","plugin_id","plugin_version_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /plugins/{plugin\_id}/versions/{plugin\_version\_id}/compatible\_identifying\_resources

> Create a plugin compatible identifying resource

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Plugin Version Compatible Identifying Resources","description":"Operations related to Plugin Compatible Identifying Resources that define which identifier types a plugin can process."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/plugins/{plugin_id}/versions/{plugin_version_id}/compatible_identifying_resources":{"post":{"requestBody":{"description":"The plugin compatible identifying resource to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PluginCompatibleIdentifyingResourceResource"}}},"required":true},"operationId":"createPluginCompatibleIdentifyingResource","parameters":[{"required":true,"style":"simple","name":"plugin_id","schema":{"type":"string"},"explode":false,"in":"path"},{"in":"path","schema":{"type":"string"},"style":"simple","name":"plugin_version_id","explode":false,"required":true}],"tags":["Plugin Version Compatible Identifying Resources"],"description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PluginCompatibleIdentifyingResourceResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Create a plugin compatible identifying resource"}}},"components":{"schemas":{"PluginCompatibleIdentifyingResourceResource":{"discriminator":{"propertyName":"type","mapping":{"USER_ACCOUNT":"#/components/schemas/PluginCompatibleIdentifyingAccountResource","USER_EMAIL":"#/components/schemas/PluginCompatibleIdentifyingEmailResource","USER_DEVICE_TECHNICAL_ID":"#/components/schemas/PluginCompatibleIdentifyingDeviceTechnicalIdResource","USER_PROFILE":"#/components/schemas/PluginCompatibleIdentifyingProfileResource"}},"oneOf":[{"$ref":"#/components/schemas/PluginCompatibleIdentifyingAccountResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingEmailResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingDeviceTechnicalIdResource"},{"$ref":"#/components/schemas/PluginCompatibleIdentifyingProfileResource"}],"properties":{"type":{"type":"string","enum":["USER_ACCOUNT","USER_EMAIL","USER_DEVICE_TECHNICAL_ID","USER_PROFILE"]}},"required":["type"]},"PluginCompatibleIdentifyingAccountResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_type":{"$ref":"#/components/schemas/UserAccountCompartmentType"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"identity_graph_id":{"type":"string","readOnly":false},"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_type","created_by","created_ts","id","plugin_id","plugin_version_id"]},"UserAccountCompartmentType":{"type":"string","enum":["CUSTOM_COMPARTMENT_ID","NETWORK_USER_ID"],"readOnly":false},"PluginCompatibleIdentifyingEmailResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_by":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"identity_graph_id":{"type":"string","readOnly":false}},"required":["created_by","created_ts","id","plugin_id","plugin_version_id"]},"PluginCompatibleIdentifyingDeviceTechnicalIdResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"registry_id":{"type":"string","readOnly":false},"registry_type":{"$ref":"#/components/schemas/DeviceIdRegistryType"},"identity_graph_id":{"type":"string","readOnly":false},"plugin_id":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["created_by","created_ts","id","plugin_id","plugin_version_id","registry_type"]},"DeviceIdRegistryType":{"type":"string","enum":["INSTALLATION_ID","MUM_ID","NETWORK_DEVICE_ID","CUSTOM_DEVICE_ID","MOBILE_ADVERTISING_ID","MOBILE_VENDOR_ID","TV_ADVERTISING_ID","IP_V4_ADDRESS_ID","IP_V6_ADDRESS_ID"],"readOnly":false},"PluginCompatibleIdentifyingProfileResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"plugin_version_id":{"type":"string","readOnly":true},"plugin_id":{"type":"string","readOnly":true},"include_in_platform_calls":{"type":"boolean","default":false,"readOnly":false},"id":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"compartment_id":{"type":"string","readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"identity_graph_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true}},"required":["created_by","created_ts","id","include_in_platform_calls","plugin_id","plugin_version_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/plugin/plugin-version-compatible-identifying-resources.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
